
Foreman - Bug #2866

Changing a hostgroup name doesn't update associated Smart Variable matchers

07/31/2013 10:57 AM - Jon McKenzie

Status: Closed   

Priority: Low   

Assignee: Joseph Magen   

Category: Parameters   

Target version: 1.4.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Version: 1.2.0-0.4.RC3 (yum.theforeman.org EL6 RPM packages)

To replicate:

Create a hostgroup

Create a class with overridden parameters

At the hostgroup level, assign the class and override the parameter.

Change the hostgroup name

Navigating into the class view will show the old Smart Variable matcher (hostgroup=<old_hostgroup_name>).

Admittedly, this may not actually be an issue in 1.2 GA. I haven't

Related issues:

Has duplicate Foreman - Bug #3871: Foreman 1.3.1: Adding a new smart class pa... Duplicate 12/12/2013

Has duplicate Foreman - Bug #3264: Renaming a host group looses class paramet... Duplicate 10/15/2013

Associated revisions

Revision 709ad8d6 - 01/27/2014 01:29 PM - Joseph Magen

fixes #2866 - Changing a hostgroup name doesn't update associated Smart Variable matchers

Revision 3c87b364 - 01/28/2014 01:00 PM - Joseph Magen

fixes #2866 - Changing a hostgroup name doesn't update associated Smart Variable matchers

(cherry picked from commit 709ad8d6f425e0817d3faef2cc629af1458cb1c9)

History

#1 - 07/31/2013 01:47 PM - Lukas Zapletal

- Category set to Parameters

- Target version set to 1.3.0

- Difficulty set to easy

Should be relatively easy to re-test or fix. Thanks for the report.

#2 - 08/01/2013 02:58 AM - Joseph Magen

Jon, I confirm that this bug also exists in the latest 'develop' branch

#3 - 09/16/2013 12:38 PM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#4 - 10/16/2013 03:41 PM - Greg Sutcliffe
- Target version deleted (1.4.0)

#5 - 01/16/2014 11:46 AM - Dominic Cleal

- Has duplicate Bug #3871: Foreman 1.3.1: Adding a new smart class parameter override  fails if there is an existing match on an hostgroup that don't

exist.    added

#6 - 01/16/2014 11:46 AM - Dominic Cleal

See also #3871, this also affects re-parenting/nesting I guess.

#7 - 01/26/2014 02:30 PM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1194

#8 - 01/27/2014 08:34 AM - Dominic Cleal

- Target version set to 1.9.2

- Assignee set to Joseph Magen

#9 - 01/27/2014 01:29 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#10 - 01/27/2014 02:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 709ad8d6f425e0817d3faef2cc629af1458cb1c9.

#11 - 02/27/2014 09:41 AM - Dominic Cleal

- Has duplicate Bug #3264: Renaming a host group looses class parameter overrides added
